<textarea name="page" class="tinymce">{$page['page']}</textarea>


    <script type="text/javascript" src="{$before_path}/assets/js/tinymce/tinymce.min.js"></script>
    <script>
{literal}
        var tinymceSettings = {
            selector: "textarea.tinymce",
            height: 500,
            theme: "modern",
            entity_encoding: "raw",
            plugins: "autosave print preview searchreplace autolink directionality visualblocks visualchars fullscreen image link media template code codesample table charmap hr pagebreak nonbreaking anchor insertdatetime advlist lists textcolor wordcount contextmenu colorpicker textpattern help imagetools",
            toolbar: [
                "formatselect | fontselect | fontsizeselect | bold italic underline strikethrough | forecolor backcolor | alignleft aligncenter alignright alignjustify | bullist numlist outdent indent |image media",
                "undo redo | cut copy paste pastetext | searchreplace | subscript superscript | tableformat | hr | charmap | visualchars visualblocks | nonbreaking | fullscreen | code| help| removeformat, link,unlink,blockquote,|,print,|,ltr,rtl,|help,code"
            ],
            image_advtab: true,
            content_css: [
                "//fonts.googleapis.com/css?family=Lato:300,300i,400,400i",
                "//www.tinymce.com/css/codepen.min.css"
            ],
            browser_spellcheck: true,
            convert_urls : false,
            relative_urls : false,
            forced_root_block : "p",
            media_poster: false,
            mobile: {
                theme: "mobile",
                plugins: ["autosave", "lists", "autolink"],
                toolbar: ["undo", "bold", "italic", "styleselect"]
            },
            menu: {
                file: {title: "File", items: "preview | print"},
                edit: {title: "Edit", items: "undo redo | cut copy paste pastetext | selectall | searchreplace"},
                view: {title: "View", items: "visualaid visualchars visualblocks | preview fullscreen"},
                insert: {title: "Insert", items: "image anchor link media codesample | charmap hr"},
                format: {title: "Format", items: "bold italic strikethrough underline superscript subscript codeformat | blockformats align | removeformat"},
                table: {title: "Table", items: "inserttable tableprops deletetable | cell row column"},
                help: {title: "Help", items: "help | code"}
            }
        };

        $(document).ready(function() {
            tinymce.init(tinymceSettings).then(function(editors){
                editorLoaded = true;
                tinymce.addI18n('image', {
                    "Image list": 'Recent images'
                });
            });
        });

        var editorEnabled = true,
            editorLoaded = false;

        function toggleEditor() {
            if (editorEnabled === true) {
                tinymce.activeEditor.remove();
                editorEnabled = false;
            } else {
                tinymce.init(tinymceSettings);
                editorEnabled = true;
            }
        }

        function insertMergeField(mfield) {
            tinymce.activeEditor.insertContent('{$' + mfield + '}');
        }
{/literal}
    </script>

